# CommonVenueData - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.CommonAbstracts / CommonVenueData

# CommonVenueData

(common) `interface CommonVenueData : Titled` (source)

### Properties

(common)

#### address

`abstract val address: String`

(common)

#### foursquareId

`abstract val foursquareId: String?`

(common)

#### foursquareType

`abstract val foursquareType: String?`

(common)

#### title

`abstract val title: String`

### Inheritors

(common)

#### InlineQueryResultVenue

`data class InlineQueryResultVenue : InlineQueryResult, Locationed, CommonVenueData, TitledInlineQueryResult, WithInputMessageContentInlineQueryResult, ThumbedInlineQueryResult, ThumbSizedInlineQueryResult`

(common)

#### InputVenueMessageContent

`data class InputVenueMessageContent : Locationed, CommonVenueData, InputMessageContent`

(common)

#### Venue

`data class Venue : CommonVenueData`